Subject: Re: Xerces C++ support in cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Sun, 25 Aug 2002 14:03:46 +0200

Hallo Abraham,

> Now the tests and samples build ok, but when I try to run the tests, I get a
> stackdump.  It appears that either gcc or cygwin has a problem with c++
> exceptions being thrown from a dll.  I stepped through the DOMMemTest app in
> gdb and it puked at about the moment where a DOMException would be thrown.
> I've seen some mention of this c++ exceptions problem in the cygwin mailing
> list archives, but don't see any solutions or further ideas about where the
> problem lies, although I thought I saw mention somewhere that the problem
> exists in other platforms besides cygwin when gcc is used.

I remember, I got this problem too when I got it it to compile the
first time (some assert statement).  Doesn't this happen in the DLL, and
therefore affects all executables linked against it?

Gerrit
-- 
perl -e 'print $i=pack(c5,(41*2),sqrt(7056),(unpack(c,H)-2),oct(115),10);'

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/